Blame 0003-Support-out-of-tree-and-updated-drivers-in-initramfs.patch

Harald Hoyer fe31f8
From fa9f15e3be811bd1e55938fa92a110f9d389342d Mon Sep 17 00:00:00 2001
Harald Hoyer fe31f8
From: Joe Lawrence <Joe.Lawrence@stratus.com>
Harald Hoyer fe31f8
Date: Thu, 24 Jan 2013 17:26:43 -0500
Harald Hoyer fe31f8
Subject: [PATCH] Support out-of-tree and updated drivers in initramfs creation
Harald Hoyer fe31f8
Harald Hoyer fe31f8
The find_kernel_modules_by_path function shouldn't filter out modules not
Harald Hoyer fe31f8
located underneath the /lib/modules/ver/kernel directory as out-of-tree
Harald Hoyer fe31f8
drivers may reside in /lib/modules/ver/extra and updated drivers in
Harald Hoyer fe31f8
/lib/modules/ver/updates.
Harald Hoyer fe31f8
Harald Hoyer fe31f8
Signed-off-by: Joe Lawrence <joe.lawrence@stratus.com>
Harald Hoyer fe31f8
---
Harald Hoyer fe31f8
 dracut-functions.sh | 2 +-
Harald Hoyer fe31f8
 1 file changed, 1 insertion(+), 1 deletion(-)
Harald Hoyer fe31f8
Harald Hoyer fe31f8
diff --git a/dracut-functions.sh b/dracut-functions.sh
Harald Hoyer fe31f8
index e23db76..f7e3ec8 100755
Harald Hoyer fe31f8
--- a/dracut-functions.sh
Harald Hoyer fe31f8
+++ b/dracut-functions.sh
Harald Hoyer fe31f8
@@ -1502,7 +1502,7 @@ find_kernel_modules_by_path () (
Harald Hoyer fe31f8
         _OLDIFS=$IFS
Harald Hoyer fe31f8
         IFS=:
Harald Hoyer fe31f8
         while read a rest; do
Harald Hoyer fe31f8
-            [[ $a = kernel*/$1/* ]] || continue
Harald Hoyer fe31f8
+            [[ $a = */$1/* ]] || continue
Harald Hoyer fe31f8
             echo $srcmods/$a
Harald Hoyer fe31f8
         done < $srcmods/modules.dep
Harald Hoyer fe31f8
         IFS=$_OLDIFS